Name:           cvs-fast-export
Version:        1.59
Release:        %mkrel 1
Summary:        Export an RCS or CVS history as a fast-import stream
Group:          Development/Other
License:        GPLv2+
URL:            http://www.catb.org/esr/cvs-fast-export/
Source0:        http://www.catb.org/~esr/cvs-fast-export/%{name}-%{version}.tar.gz
BuildRequires:  asciidoc
BuildRequires:  pkgconfig(zlib)
# Requires cvs only with --no-cvs-direct, but I cannot imagine this dep
# being a problem on systems where cvsps will be installed...
Requires:       cvs
Requires:       python3
Obsoletes:	cvsps < 2.2b1-10
Provides:	cvsps

%description
cvs-fast-export, formerly "parsecvs", does what its new name implies:
exports CVS repositories in a format suitable for git fast-import.
This program analyzes a collection of RCS files in a CVS repository
(or outside of one) and, when possible, emits an equivalent history
in the form of a fast-import stream. Not all possible histories can
be rendered this way; the program tries to emit useful warnings when
it can't. The program can also produce a visualization of the
resulting commit DAG in the DOT format handled by the graphviz suite.
The distribution includes a tool, cvssync, for fetching masters from
CVS remote repositories so cvs-fast-export can see them.  You will
need rsync installed to use it.
A wrapper script called cvsconvert runs a conversion to git and
looks for content mismatches with the original CVS.  You will need
CVS and Git installed to use it.
Also included is a tool called cvsreduce that strips content out of
trees of RCS/CVS masters, leaving only metadata structure in place.

%prep
%autosetup -p1


%build
# (daviddavid) parallel build broke asciidoc
%__make CFLAGS="%{optflags} -pthread" LDFLAGS="%{ldflags}"


%install
%make_install prefix=%{_prefix} mandir=%{buildroot}%{_mandir}

# python shebang
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_bindir}/*


%files
%doc NEWS.adoc README.adoc
%{_bindir}/%{name}
%{_bindir}/cvsconvert
%{_bindir}/cvssync
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/cvsconvert.1*
%{_mandir}/man1/cvssync.1*


%changelog
* Sun Sep 11 2022 neoclust <neoclust> 1.59-1.mga9
+ Revision: 1886959
- New version  1.59

* Wed Mar 16 2022 umeabot <umeabot> 1.55-4.mga9
+ Revision: 1794950
- Mageia 9 Mass Rebuild

* Tue Jun 23 2020 luigiwalser <luigiwalser> 1.55-3.mga8
+ Revision: 1598808
- obsolete very dead cvsps

* Mon Jun 22 2020 tv <tv> 1.55-2.mga8
+ Revision: 1598445
- do not obsolete cvsps which is really needed by git-cvsimport

* Mon May 25 2020 daviddavid <daviddavid> 1.55-1.mga8
+ Revision: 1587601
- new version: 1.55

* Sat May 23 2020 daviddavid <daviddavid> 1.54-1.mga8
+ Revision: 1587043
- new version: 1.54

* Sat Apr 11 2020 daviddavid <daviddavid> 1.53-1.mga8
+ Revision: 1566296
- new version: 1.53

* Thu Feb 20 2020 daviddavid <daviddavid> 1.51-1.mga8
+ Revision: 1545735
- new version: 1.51

* Wed Feb 19 2020 umeabot <umeabot> 1.50-2.mga8
+ Revision: 1542732
- Mageia 8 Mass Rebuild

* Mon Jan 06 2020 daviddavid <daviddavid> 1.50-1.mga8
+ Revision: 1476869
- new version: 1.50

* Mon Dec 16 2019 daviddavid <daviddavid> 1.49-1.mga8
+ Revision: 1468386
- new version: 1.49
- switch to python 3

* Sat Apr 27 2019 daviddavid <daviddavid> 1.48-1.mga7
+ Revision: 1395728
- new version: 1.48

* Fri Apr 05 2019 daviddavid <daviddavid> 1.47-1.mga7
+ Revision: 1385980
- initial package cvs-fast-export (mga#11976)

